# Literal expressions

> Syntax
> LiteralExpression :
> CHAR_LITERAL
> | STRING_LITERAL
> | RAW_STRING_LITERAL
> | BYTE_LITERAL
> | BYTE_STRING_LITERAL
> | RAW_BYTE_STRING_LITERAL
> | INTEGER_LITERAL
> | FLOAT_LITERAL
> | BOOLEAN_LITERAL

A literal expression consists of one of the literal forms described earlier. It directly describes a number, character, string, or boolean value.

    #![allow(unused)]
    fn main() {
    "hello";   // string type
    '5';       // character type
    5;         // integer type
    }